%{?nodejs_find_provides_and_requires}

%global packagename read-pkg-up
%global enable_tests 0
# tests disabled until npm(ava) is packaged in Fedora

Name:		nodejs-read-pkg-up
Version:	1.0.1
Release:	1%{?dist}
Summary:	Read the closest package.json file

License:	MIT
URL:		https://github.com/sindresorhus/read-pkg-up
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	https://raw.githubusercontent.com/sindresorhus/read-pkg-up/27ec7c844b495a39eea7859c5f4d4721ebf60e8e/test.js



ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

Requires:	nodejs

%description
Read the closest package.json file


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
ava
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
